AnyEvent::FTP::Request(3pm)

NAME
AnyEvent::FTP::Request - Request class for asynchronous ftp server

VERSION
version 0.20

DESCRIPTION
Instances of this class represent client requests.

ATTRIBUTES

  command
 my $command = $req->command;

The command, usually something like "USER", "PASS", "HELP", etc.

  args
 my $args = $res->args;

The arguments passed in with the command

  raw
 my $raw = $res->raw;

The raw, unparsed request.

METHODS

  as_string
 my $str = $res->as_string
 my $str = "$res";

Returns a string representation of the request. This may not be exactly the same as what was actually sent to the server (see "raw" attribute for that). You can also call this by treating the object like a string (using string operators, or including it in a double quoted string), so

 print "$req";

is the same as

 print $req->as_string;

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Ryo Okamoto

Shlomi Fish

José Joaquín Atria

COPYRIGHT AND LICENSE
This software is copyright (c) 2017-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.